---
title: CSSNumericValue.min()
slug: Web/API/CSSNumericValue/min
tags:
  - API
  - CSS Typed Object Model API
  - CSSNumericValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - min()
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>min()</code></strong> method of the {{domxref("CSSNumericValue")}} interface returns the lowest value from among those values passed. The passed values must be of the same type.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var cssUnitValue = CSSNumericValue.min(number1 ... numbern);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>number</dt>
 <dd>Either a {{jsxref('Number')}} or a {{domxref('CSSNumericValue')}}.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('CSSUnitValue')}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>Indicates that an invalid type was passed to the method.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>As stated earlier, all passed values must be of the same type and value. Some of the following examples illustrate what happens when they are not.</p>

<pre class="brush: js">// Prints "1cm"
console.log(CSS.cm("1").min(CSS.cm("2")).toString());

// Prints "max(1cm, 0.393701in)"
console.log(CSS.cm("1").max(CSS.in("0.393701")).toString());</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssnumericvalue-min','min')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNumericValue.min")}}</p>
